Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - miraclecast

Package Details: miraclecast 221.36be37e-2

Git Clone URL: https://aur-dev.archlinux.org/miraclecast.git (read-only)
Package Base: miraclecast
Description: MiracleCast provides software to connect external monitors to your system via Wifi. It is compatible to Miracast. Link-management works, everything else is still being worked on. Replaces openwfd. Contribute on https://github.com/albfan/aur-miraclecast
Upstream URL: https://github.com/albfan/miraclecast
Keywords: "wifi direct" miracast rstp wifi
Licenses: GPL
Provides: miraclecast
Submitter: albfan
Maintainer: albfan
Last Packager: albfan
Votes: 14
Popularity: 3.950133
First Submitted: 2015-09-23 23:08
Last Updated: 2017-01-01 10:55

Latest Comments

1 2 Next › Last »

d1x commented on 2016-09-09 09:45

Sry my bad, I found out that the issue was in my GIT configuration
I ran: git config --global core.autocrlf input
to change clone to use correct line endings and the issue disappeared

d1x commented on 2016-09-09 09:36

autogen.sh has Windows line endings which causes:
./autogen.sh: /bin/sh^M: bad interpreter: No such file or directory

I'm wondering if I'm able to overcome this issue with some local configuration or I will have to update line endings to UNIX-like and build the package manually.

albfan commented on 2016-07-22 04:59

Please check it now.

Don't hesitate to propose changes, they're well received

https://github.com/albfan/aur-miraclecast/pull/1

montefuscolo commented on 2016-07-14 20:51

What happens if I manually download[1] the linux-headers 4.2 and build the re-run the build?

[1] https://archive.archlinux.org/repos/2015/12/19/core/os/x86_64/linux-headers-4.2.5-1-x86_64.pkg.tar.xz

kevincox commented on 2016-05-10 15:24

This isn't building anymore.

error: target not found: linux-headers<4.3

albfan commented on 2015-12-09 12:24

Is nasty but you should replace systemd with systemd with kdbus. There's an issue to isolate miraclecast from kdbus but not yet completed. You can try wds from intel for a miracast sink without systemd kdbus dependency.

As systemd changes frequently, one should tweak PKGBUILD from abs for systemd (just enabling kdbus replacing --disable-kdbus to --enable-kdbus) and you're done.

I'm looking for a solution but can't imagine how to update automatically AUR package when systemd changes.

hansmaulwurf commented on 2015-12-09 12:09

i'm not able to install it via yaourt because systemd-kdbus wants to replace systemd and it doesn't resolve the conflict. you're just using some libs, aren't you? could you jus tadd the libs instead of using the whole systemd-kdbus?

albfan commented on 2015-11-14 09:20

Thanks @aurabindo. Indeed there was a lot to change

I have added a github clone to support issues and pull request

https://github.com/albfan/aur-miraclecast

aurabindo commented on 2015-11-14 08:09

please add "./configure" to the build() after ./autogen

hansmaulwurf commented on 2015-11-03 06:51

Seems like the error comes from systemd-kdbus